# norootforbuild

%define mod_name mod_cband
%define apxs                 %{_sbindir}/apxs2
%define apache_libexecdir    %(%{apxs} -q LIBEXECDIR)
%define apache_sysconfdir    %(%{apxs} -q SYSCONFDIR)
%define apache_mmn        %(MMN=$(%{apxs} -q LIBEXECDIR)_MMN; test -x $MMN && $MMN)
#
Name: apache2-mod_cband
Version: 0.9.7.5
Release: 1.1
#
License: GPL
Group: Productivity/Networking/Web/Servers
#
BuildRoot: %{_tmppath}/%{name}-%{version}-build
BuildRequires: apache2-devel
Requires: apache2 %{apache_mmn}
#
URL: http://cband.linux.pl
Source: http://cband.linux.pl/download/mod-cband-%{version}.tgz
Patch: mod-cband-0.9.7.3_install.patch
Patch1: mod-cband-0.9.7.5-pointer.diff
#
Summary: Apache 2 Bandwidth Quota and Throttling
%description
mod_cband is an Apache 2 module provided to solve the problem of limiting
users' and virtualhosts' bandwidth usage. The current versions can set
virtualhosts' and users' bandwidth quotas, maximal download speed (like in
mod_bandwidth), requests-per-second speed and the maximal number of simultanous
IP connections (like in mod_limitipconn) 

I advise using mod_cband by hosting companies, which would like to limit data
transfer for their users, such as "10 Gb of traffic per month". There already
exists the mod_curb module, which can limit data transfers, but it doesn't work
with virtualhosts and Apache 2, so I wrote my own module fully compatible with
Apache 2 API and supporting per-user and per-virtualhost bandwidth limiting



 Authors:
----------
    * Lukasz Dembinski <dembol@cband.linux.pl>
    * Sergey V. Beduev <shaman@interdon.net>
    * Kyle Poulter <kyle@unixowns.us>
    * J. Kendzorra <kenzo@kenzo.homelinux.org>
    * Adam Dawidowski <drake@oomkill.net>
    * Arvind Srinivasan <arvind@madtux.org>

%prep
%setup -n mod-cband-%{version}
%patch
%patch1 -p1

%build
%configure --with-apxs=%{apxs}
%{__make}

%install
%{__install} -Dd -m 0755 %{buildroot}%{apache_libexecdir}
%makeinstall APXS_INST_FLAGS="-S LIBEXECDIR=%{buildroot}%{apache_libexecdir}"

%clean
%{__rm} -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{apache_libexecdir}/%{mod_name}.so
%doc libpatricia.copyright LICENSE Changes AUTHORS INSTALL
%doc conf/ doc/*

%changelog
* Thu Mar  3 2011 draht@suse.de
- if() statements with pointer arithmetics corrected.
* Tue Jun 10 2008 poeml@suse.de
- build service supports the debuginfo flag in metadata now; remove
  debug_package macro from the specfile therefore.
* Fri Apr 13 2007 poeml@suse.de
- require apache_mmn
* Fri Apr 13 2007 mrueckert@suse.de
- update to 0.9.7.5: see Changes file
* Mon May 29 2006 mrueckert@suse.de
- update to 0.9.7.4: see Changes file
* Wed Apr 26 2006 mrueckert@suse.de
- Update to 0.9.7.3: Too many changes to mention them all here.
  Please see: /usr/share/doc/packages/apache2-mod_cband/Changes.
- added mod-cband-0.9.7.3_install.patch:
  This patch adds APXS_INST_FLAGS. we can overwrite them as param
  to make install to avoid automatic enabling and to install
  into a buildroot.
* Sun Sep 18 2005 mrueckert@suse.de
- Initial package of version 0.9.2
